aboutsummaryrefslogtreecommitdiffstats
path: root/build.sh
diff options
context:
space:
mode:
Diffstat (limited to 'build.sh')
-rw-r--r--build.sh21
1 files changed, 21 insertions, 0 deletions
diff --git a/build.sh b/build.sh
new file mode 100644
index 000000000..77ea98beb
--- /dev/null
+++ b/build.sh
@@ -0,0 +1,21 @@
+#!/bin/bash
+
+set -e
+
+repo=${repo:-opnfv}
+dirs="\
+docker/core \
+docker/healthcheck \
+docker/smoke \
+docker/features \
+docker/components"
+
+(cd docker && docker build -t "${repo}/functest" .)
+docker push "${repo}/functest"
+
+for dir in ${dirs}; do
+ (cd ${dir} && docker build -t "${repo}/functest-${dir##**/}" .)
+ docker push "${repo}/functest-${dir##**/}"
+done
+
+exit $?